@mixin make-white-space($s) {
    #{$s}tx-whitespace- {
        &normal{
            white-space: normal;
        }
        &nowrap{
            white-space: nowrap;
        }
        &pre{
            white-space: pre;
        }
        &pre-line{
            white-space: pre-line;
        }
        &pre-wrap{
            white-space: pre-wrap;
        }
    }
}